Subject: Re: removal of "percent done" messages from git pull

From: Catalin Marinas <[email-masked]>
Date: Mon, 19 Feb 2007 13:11:21 +0000

Larry Streepy <[email-masked]> wrote:
> I run a nightly script to build and test our product.  I capture all
> the output and email it to interested parties.  One very annoying
> thing is the "percent done" messages that come out of git pull.  It
> results in log files that look like this:
[...]
> I have found no way to make these messages go away.  When running in a
> "batch" mode, IMHO, interactive messages like these should not be
> emitted. At least there should be a switch to suppress them.

Or (as done in StGIT for some messages), only print those interactive
messages when stdout is a tty, i.e. "if (isatty(1))".

-- 
Catalin